Package bitel.billing.server.admin.errorlog.bean

# Class PeriodicErrorManager

java.lang.Object
bitel.billing.server.admin.errorlog.bean.PeriodicErrorManager

    public class PeriodicErrorManager
    extends java.lang.Object

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static java.lang.String` | `MAX_ERROR_PARAM` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `PeriodicErrorManager​(java.sql.Connection con)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `addErrorToList​(java.lang.String errorSubj, java.lang.String errorText)` |
  `void` | `addErrorToList​(java.lang.String errorSubj, java.lang.String errorText, java.lang.Exception ex)` |
  `boolean` | `deleteErrorsByIds​(java.lang.String ids)` |
  `void` | `deleteErrorsByMarker​(java.lang.String marker, java.util.Date recalcTime)` |
  `int` | `getCounter()` |
  `int` | `getErrorCount​(java.util.Date month)` |
  `void` | `getErrors​(SearchResult<PeriodicProcessErrorMessage> searchResult, java.util.Date month, java.lang.String contains)` |
  `void` | `initErrorMessage​(int mid, java.lang.String moduleName, java.lang.String marker, java.util.Date calcDate)` |
  `boolean` | `isCapReached()` |
  `void` | `processErrors()` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### MAX_ERROR_PARAM

    public static java.lang.String MAX_ERROR_PARAM

- ## Constructor Details

  - ### PeriodicErrorManager

    public PeriodicErrorManager​(java.sql.Connection con)

- ## Method Details

  - ### initErrorMessage

    public void initErrorMessage​(int mid, java.lang.String moduleName, java.lang.String marker, java.util.Date calcDate)

  - ### isCapReached

    public boolean isCapReached()

  - ### addErrorToList

    public void addErrorToList​(java.lang.String errorSubj, java.lang.String errorText)

  - ### addErrorToList

    public void addErrorToList​(java.lang.String errorSubj, java.lang.String errorText, java.lang.Exception ex)

  - ### getCounter

    public int getCounter()

  - ### processErrors

    public void processErrors()

  - ### deleteErrorsByMarker

    public void deleteErrorsByMarker​(java.lang.String marker, java.util.Date recalcTime)

  - ### getErrors

    public void getErrors​(SearchResult<PeriodicProcessErrorMessage> searchResult, java.util.Date month, java.lang.String contains)

  - ### deleteErrorsByIds

    public boolean deleteErrorsByIds​(java.lang.String ids)

  - ### getErrorCount

    public int getErrorCount​(java.util.Date month)